Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Celestial Mechanics, Astrometry and Astrodynamics Library
Name:		libnova
Version:	0.12.2
Release:	1
License:	LGPL
URL:		http://libnova.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
libnova is a general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library.

The intended audience of libnova is C / C++ programmers, astronomers and anyone else interested in calculating positions of astronomical objects or celestial mechanics. libnova is the calculation engine used by the Nova project.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libnova/
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.12.2-1
- initial CCux package release
